# KDChartHeaderFooter.cpp File Reference

`#include "KDChartChart.h"`
`#include "KDChartHeaderFooter.h"`
`#include "KDChartHeaderFooter_p.h"`
`#include <KDChartTextAttributes.h>`
`#include <QFont>`
`#include <QPainter>`
`#include <QAbstractTextDocumentLayout>`
`#include <QTextDocumentFragment>`
`#include <QTextBlock>`
`#include <QtDebug>`
`#include <QLabel>`
`#include "KDTextDocument.h"`
`#include <KDABLibFakes>`

Include dependency graph for KDChartHeaderFooter.cpp:

Go to the source code of this file.

## Defines

#define | d d_func()

## Define Documentation

#define d d_func()

| Definition at line 53 of file KDChartHeaderFooter.cpp.